/************************************************
* DBASE.H - dBASE file I/O routine prototypes &	*
* typedefs ...									*
*												*
* 900514 MCMason - Turbo C v2.01				*
************************************************/

#define TRUE	(1==1)
#define FALSE	(!TRUE)

struct _dbfFLD
	{
	char	Name[12];		/* Name of field	*/
	char	Type;			/* Field type		*/
	int		Length;			/* Field length		*/
	int		Dec;			/* Decimal location	*/
	};
typedef struct _dbfFLD dbfFLD;

struct _dbfFILE
	{
	int		Version;		/* File struct vers.*/
	char	update[3];		/* Date last updated*/
	long	NumRex;			/* # records in file*/
	int		HdrLen;			/* Header length	*/
	int		RecLen;			/* Record length	*/
	int		NumFlds;		/* # fields in recs	*/
	long	FileSize;		/* # bytes in file	*/
	FILE	*file;			/* File holding data*/
	dbfFLD	(*fld)[];		/*fld data array ptr*/
	};
typedef struct _dbfFILE *dbfFILE;

extern  dbfFILE dbfOpen(char const *fname);
extern  int dbfClose(dbfFILE dbf);
extern  void dbfDspHdr(dbfFILE hdr, FILE *out);
extern  void dbfDispStru(dbfFILE hdr, FILE *out);
extern  int dbfReadRec(dbfFILE hdr,long Rec,char *b);
extern  void dbfPrintRec(dbfFILE hdr, FILE *out,
							long Rec,char *b);
extern  void dbfList(dbfFILE d, FILE *out);
