/************************************************
* TEST.C - Test frame to demonstrate device		*
* independent graphics technique.				*
*												*
* 900522 MCMason - written in Turbo C v2.01		*
************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <dos.h>
#include <graphics.h>

void drawStar(int,int,int,int,int);

#if !defined(TEST)
#  error TEST must be defined!
#elif TEST==1
#  include "test1.c"
#elif TEST==2
#  include "test2.c"
#elif TEST==3
#  include "test3.c"
#else
#  error TEST must be 1, 2 or 3!
#endif

void drawStar(int x, int y, int sx, int sy, int c)
	{
	setcolor(c);
	moveto(x-sx,y+sy);
	lineto(x,y-sy);
	lineto(x+sx,y+sy);
	lineto(x-sx,y);
	lineto(x+sx,y);
	lineto(x-sx,y+sy);
	}

void main(void)
	{
	int i, j, grDriver, grError, grMode;
	int grMinMode, grMaxMode;
	char buf[64];

	/* Initialize graphics system */
	detectgraph(&grDriver, &grMode);
	if (grDriver < 0)
		{
		fputs("Error: no graphics hardware detec"
			  "ted!\n\7",stderr);
		exit(1);
		}
	for (i=1; i<=grDriver; i++)
		{
		j=i;
		getmoderange(i,&grMinMode,&grMaxMode);
		for (grMode=grMinMode; grMode<=grMaxMode;
										grMode++)
			{
			initgraph(&j, &grMode,"e:\\tc\\v201");
			if ((grError=graphresult()) != 0)
				{
				textmode(C80);
				printf("Driver=%d  Mode=%d\n"
					   "Graphics error %d\nPress"
					   "any key to continue\n",
					   i,grMode,grError);
				getch();
				}
			else
				{
				sprintf(buf,"Driver=%d  Mode=%d"
							"  MaxX=%d MaxY=%d",
							i,grMode,getmaxx(),
							getmaxy());
				outtext(buf);
				drawPict();
				closegraph();
				}
			}
		}
	}
