/************************************************
* TEST3.C - Draw stars on coordinate system of	*
* x  (0,1.0) and y  (0,1.0)					*
************************************************/

void drawPict(void)
	{
	int	ctrX, ctrY,
		maxX, maxY;
	int   tX, tY;
	float l;
	extern void drawStar(int, int, int, int, int);

	/* Initialize scaling factors */
	maxX = getmaxx();
	maxY = getmaxy();

	/* Compute screen center coordinate */
	ctrX = (int)(0.5 * maxX);
	ctrY = (int)(0.5 * maxY);

	/* Check for abort */
	if (kbhit()) getch();

	/* Draw the expanding & contracting star */
	for (l=0.0; l < 0.2; l+=0.01)
		{
		tX = (int)(l*maxX);
		tY = (int)(l*maxY);
		drawStar(ctrX,ctrY,tX,tY,1);
		delay(60);
		drawStar(ctrX,ctrY,tX,tY,0);
		}
	for (l=0.2; l>0.0; l-=0.01)
		{
		tX = (int)(l*maxX);
		tY = (int)(l*maxY);
		drawStar(ctrX,ctrY,tX,tY,1);
		delay(60);
		drawStar(ctrX,ctrY,tX,tY,0);
		}
	}
