/************************************************
* MENU.H - prototypes and declarations for the	*
* menu handler subroutine.						*
*												*
* 900529 MCMason - written in Turbo C v2.01		*
************************************************/

typedef struct
	{
	char	*hdr;			/* Menu heading		*/
	char	*text;			/* Selection text	*/
	char	*choice;		/* Choice table		*/
	char	*response;		/* Response codes	*/
	} MENU;

#define DELIM "\1"			/* String delimiter	*/

#define CRT_WIDTH 80		/* Width of CRT		*/
#define CRT_PRMPT 24		/* Prompt line		*/
#define CRT_ERROR 25		/* Error line		*/

#define MENU_H				/* MENU.H included	*/

int menu(MENU *);
